//+------------------------------------------------------------------+
//|                                  PhoenixAdditonalSignal_v1.0.mq4 |
//|                                       Copyright  2006, Hendrick.|
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Hendrick"

#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1 Green
#property indicator_color2 Red
#property indicator_color3 Yellow
#property indicator_minimum 0
#property indicator_maximum 5

extern int SlowMAPeriod = 54;
extern int FastMAPeriod = 14;
extern int PriceConstant = 4;
extern int EmaMode = 3;
extern double Switch = 1.0;




//---- buffers
double ExtMapBuffer0[];
double ExtMapBuffer1[];
double ExtMapBuffer2[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_HISTOGRAM,STYLE_SOLID,3,);
   SetIndexBuffer(0,ExtMapBuffer0);
   SetIndexStyle(1,DRAW_HISTOGRAM,STYLE_SOLID,3,);
   SetIndexBuffer(1,ExtMapBuffer1);
   SetIndexStyle(2,DRAW_HISTOGRAM,STYLE_SOLID,3,);
   SetIndexBuffer(2,ExtMapBuffer2);

   IndicatorShortName("PhoenixAdditonalSignal");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   double dResult1, dResult2, dResult3;
   int limit, i;
   int counted_bars=IndicatorCounted();
//---- check for possible errors
   if(counted_bars<0) return(-1);
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
//---- macd counted in the 1-st buffer
   for(i=0; i<limit; i++)
     {
     dResult1=(iMA(NULL,PERIOD_M15,FastMAPeriod,0,EmaMode,PriceConstant,i))-(iMA(NULL,PERIOD_M15,SlowMAPeriod,0,EmaMode,PriceConstant,i));
     if(Point==0.0001) dResult1=dResult1*1000;
     if(Point==0.01) dResult1=dResult1*10;
      if(dResult1>Switch)
         {ExtMapBuffer0[i]=5;}
      else {ExtMapBuffer0[i]=0;}
}
   for(i=0; i<limit; i++)
     {
     dResult2=(iMA(NULL,PERIOD_M15,FastMAPeriod,0,EmaMode,PriceConstant,i))-(iMA(NULL,PERIOD_M15,SlowMAPeriod,0,EmaMode,PriceConstant,i));
     if(Point==0.0001) dResult2=dResult2*1000;
     if(Point==0.01) dResult2=dResult2*10;
      if(dResult2<-Switch)
         {ExtMapBuffer1[i]=5;}
      else {ExtMapBuffer1[i]=0;}
}
   for(i=0; i<limit; i++)
     {
     dResult3=(iMA(NULL,PERIOD_M15,FastMAPeriod,0,EmaMode,PriceConstant,i))-(iMA(NULL,PERIOD_M15,SlowMAPeriod,0,EmaMode,PriceConstant,i));
     if(Point==0.0001) dResult3=dResult3*1000;
     if(Point==0.01) dResult3=dResult3*10;
      if(dResult3>-Switch && dResult3<Switch)
         {ExtMapBuffer2[i]=5;}
      else {ExtMapBuffer2[i]=0;}
 }     
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+